Investors, warrants & staking
Get Investor Warrants
Returns raw warrant rows visible to a SUB_INVESTOR; identical query to the investor variant.
GEThttps://api.toku.com/tga/get-investor-warrants
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/tga/get-investor-warrants' \
--header 'Authorization: Bearer <token>'200 response
[
{
"warrantID": "string",
"roleInOrgID": "string",
"warrantName": "string",
"investorEntityID": "string",
"warrantDescription": "string",
"warrantStatus": "DRAFT",
"warrantConfigurationID": "string",
"firmName": "string",
"amount": 0,
"price": 0,
"totalValue": 0,
"issueDate": "string",
"expirationDate": "string",
"lockupPeriodMonths": 0,
"lockupFrequencyType": "MONTHLY",
"unlockDateOverride": "string",
"agreementSignedAt": "string",
"exerciseNoticeTermsHash": "string",
"exerciseNoticeEnvelopeID": "string",
"exerciseNoticeEnvelopeCompletedAt": "string",
"exerciseNoticeSignedAt": "string",
"paidAt": "string",
"settledAt": "string",
"createdAt": "string",
"updatedAt": "string",
"legacyMigratedAt": "string",
"legacyModelID": 0,
"isSigned": true,
"isPaid": true,
"isExercised": true,
"isUnderLockup": true,
"isOffPlatform": true,
"isTerminated": true,
"warrantLabel": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
warrantIDstringrequiredroleInOrgIDstringrequiredwarrantNamestringrequiredinvestorEntityIDstring | nullrequiredwarrantDescriptionstring | nullrequiredwarrantStatusstringrequiredAvailable options: DRAFT, AGREEMENT_SENT, AGREEMENT_SIGNED, EXERCISE_NOTICE_SENT, EXERCISE_NOTICE_SIGNED, EXERCISE_ELIGIBLE, PENDING_PAYMENT_VERIFICATION, PAID, IN_LOCKUP, SETTLED, PENDING_SETTLEMENT
warrantConfigurationIDstringrequiredfirmNamestring | nullrequiredamountnumberrequiredpricenumber | nullrequiredtotalValuenumber | nullrequiredissueDatestringrequiredexpirationDatestring | nullrequiredlockupPeriodMonthsinteger | nullrequiredlockupFrequencyTypestringrequiredAvailable options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY
unlockDateOverridestring | nullrequiredagreementSignedAtstring | nullrequiredexerciseNoticeTermsHashstring | nullrequiredexerciseNoticeEnvelopeIDstring | nullrequiredexerciseNoticeEnvelopeCompletedAtstring | nullrequiredexerciseNoticeSignedAtstring | nullrequiredpaidAtstring | nullrequiredsettledAtstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredlegacyMigratedAtstring | nullrequiredlegacyModelIDinteger | nullrequiredisSignedboolean | nullrequiredisPaidboolean | nullrequiredisExercisedboolean | nullrequiredisUnderLockupboolean | nullrequiredisOffPlatformboolean | nullrequiredisTerminatedboolean | nullrequiredwarrantLabelstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits